Bug 546277: Fixed string comparison to work on AIX. r=christophe
authorslavomir.katuscak%sun.com
Tue, 16 Feb 2010 10:40:31 +0000
changeset 9562 cc69c93c73b58ea4de1f890725a7488207268665
parent 9561 c3c4bde10b125933b7887d10df387fd5f7c72103
child 9563 928e5554cbf1d3b9d656e0bf01539ad259cf897c
push idunknown
push userunknown
push dateunknown
reviewerschristophe
bugs546277
Bug 546277: Fixed string comparison to work on AIX. r=christophe
security/nss/tests/chains/chains.sh
--- a/security/nss/tests/chains/chains.sh
+++ b/security/nss/tests/chains/chains.sh
@@ -1054,17 +1054,17 @@ parse_config()
 
 ############################# chains_main ##############################
 # local shell function to process all testing scenarios
 ########################################################################
 chains_main()
 {
     while read LINE 
     do
-        [ `echo ${LINE} | cut -b 1` == "#" ] && continue
+        [ `echo ${LINE} | cut -b 1` != "#" ] || continue
 
         > ${AIA_FILES}
 
         parse_config < "${QADIR}/chains/scenarios/${LINE}"
 
         while read AIA_FILE
         do
             rm ${AIA_FILE} 2> /dev/null